class CategoryController < ApplicationController
  before_action :auth_user, only: [:manage, :create, :delete, :update]
  def get
    @blog = Blog.find_by_urlName(params[:blog_name])
    if @blog.nil?
      render file: "#{Rails.root}/public/404.html" , status: :not_found
      return
    end
    @cat = @blog.categories.find_by_path(params[:cat_name])
    if @cat.nil?
      render file: "#{Rails.root}/public/404.html" , status: :not_found
      return
    end
    @posts = @cat.posts.where(is_draft: false).order(created_at: :desc).all
  end

  def manage
    @blog = get_user_blog
    @cats = @blog.categories.order(id: :asc)
    @category = Category.new
  end

  def create
    @category = Category.new
    @blog = get_user_blog
    c = @blog.categories.new(params[:category].permit(:name))
    unless c.save
      flash.now[:alerts] = c.errors.full_messages
      @category = c
    end
    @cats = @blog.categories.all
    render :manage
  end

  def delete
    @category = Category.new
    @blog = get_user_blog
    @cats = @blog.categories
    c = @cats.find_by_path(params[:cat_name])
    if c.nil?
      flash[:alert] = "Could not find that category!"
    else
      c.destroy
    end
    redirect_to manage_category_path
  end

  def update
    blog = get_user_blog
    c = blog.categories.find_by_path(params[:cat_name])
    if c.nil?
      flash[:alert] = "Could not find that category!"
    else
      c.update(params[:category].permit(:name))
    end
    redirect_to manage_category_path
  end
end
