class CommentController < ApplicationController
  def create
    StatsD.increment("comment.create")
    if current_user.nil?
      render file: "#{Rails.root}/public/403.html" , status: :forbidden
      return
    end
    @post = Post.find(params[:post_id])
    body = (params[:comment] && params[:comment][:body]) || (params[:reply] && params[:reply][:body]) || ''
    unless ActionView::Base.full_sanitizer.sanitize(body).try(:empty?)
      comment = @post.comments.create(likes: 0, dislikes: 0, body: body, user: current_user)
      comment.parent = Comment.find(params[:reply][:reply_to].to_i) if params[:reply] && params[:reply][:reply_to]
      comment.save
    end
    redirect_to post_path(post_id: params[:post_id])
  end

  def delete
    StatsD.increment("comment.delete")
    comment = Comment.find_by(id: params[:id])
    unless !current_user.nil? && !comment.nil? && comment.editable_by?(current_user)
      render file: "#{Rails.root}/public/403.html" , status: :forbidden
      return
    end

    comment.deleted = true
    comment.save
    post = comment.post
    redirect_to post_path(post_id: post.id, blog_name: post.blog.urlName)
  end
end
