class SessionsController < ApplicationController
  def new #For login page
  end

  def create
    user = User.find_by('email ILIKE ? OR username LIKE ?',
                        params[:login][:username],
                        params[:login][:username])
    
    if user && user.authenticate(params[:login][:password])
      session[:user_id] = user.id.to_s
      redirect_to root_path, notice: 'Successfully logged in!'
      StatsD.increment("user.signin.success")
    else
      StatsD.increment("user.signin.failure")
      flash.now.alert = "Incorrect email or password!"
      render :new
    end
  end

  def destroy
    StatsD.increment("user.signout")
    session.delete(:user_id)
    redirect_back(fallback_location: root_path)
  end
end
