module MarkdownHelper
  def parse_markdown(text)
    # This is safe(even though it says :UNSAFE
    # because github will remove the dangerous HTML
    # after it is processed by commonmarker
    html = GitHub::Markup.render_s(GitHub::Markups::MARKUP_MARKDOWN,
	                               text,
	                               options: {commonmarker_opts: [:UNSAFE]})
    html = html.gsub(/\<pre lang="(.+?)"\>\<code\>(.+?)\<\/code\>\<\/pre\>/m) do
      lang = $1
      code = $2
      CodeRay.scan(CGI.unescapeHTML(code), lang)
        .html({
                line_numbers: :table
              })
    end
    html.html_safe
  end
end
