class Category < ApplicationRecord
  belongs_to :blog
  has_and_belongs_to_many :posts, -> { distinct }

  validates_uniqueness_of :name, uniqueness: { scope: :blog_id }
  validates_uniqueness_of :path, uniqueness: { scope: :blog_id }

  validates_length_of :name, in: 3..30

  before_validation :set_path

  def set_path
    return if self.name.nil?
    self.path = self.name.parameterize
  end
  
  def to_param
    {
      blog_name: self.blog.urlName,
      cat_name: self.path
    }
  end
end
