require 'github/markup'
include ERB::Util

class Page < ApplicationRecord
  include PgSearch::Model

  belongs_to :blog

  before_update :refresh_path
  
  def refresh_path
    self.path = self.title.parameterize
    self.path = "no-title" if self.path.empty?
  end

  def friendly_title
    return self.is_draft ? "[Draft] " + self.title : self.title
  end
  
  def can_edit(user)
    return !user.nil? && user.id == self.blog.user_id
  end

  def path_params(x = nil)
    h = {id: self.id, path: self.path}
    h.merge!(x) unless x.nil?
    return h
  end
end
